Bug 1330517 - [RFE] Implement option for adding XEN as external providers.
Summary: [RFE] Implement option for adding XEN as external providers.
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: ---
: ---
Assignee: Rob Young
QA Contact: Nisim Simsolo
URL:
Whiteboard:
Depends On: virt-v2v-from-rhel-xen
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-26 12:00 UTC by Nisim Simsolo
Modified: 2017-11-16 13:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Cause: Consequence: Fix: Result:
Clone Of:
Environment:
Last Closed: 2017-11-16 13:58:48 UTC
oVirt Team: Virt
michal.skrivanek: ovirt-future?
nsimsolo: planning_ack?
nsimsolo: devel_ack?
nsimsolo: testing_ack?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1303548 None None None Never

Internal Links: 1303548

Description Nisim Simsolo 2016-04-26 12:00:04 UTC
Description of problem:
Currently, when importing XEN VM, URI path needs to be entered each time the user is required to import VM from XEN.
It would be nice to have an ability for adding XEN as an external provider, so each time import dialog is opened, the user will be able to select XEN source from import dialog > external provider dropbox, instead of entering it manually.

Version-Release number of selected component (if applicable):
ovirt-engine-4.0.0-0.0.master.20160423161403

Comment 2 Shahar Havivi 2016-04-27 07:32:27 UTC
this is nice to have but not that important - since in vmware user need to enter 7 fields in order to import but in Xen it only needs to enter one field - the url. (since its ssh key exchange based).

Comment 5 Yaniv Kaul 2017-11-16 13:58:48 UTC
I think it's reasonable:
1. It's not a highly used feature.
2. The URI is pretty regular in libvirt world.


Note You need to log in before you can comment on or make changes to this bug.